Name: dbmail
Version: 2.2.4.git200704092140
Release: alt1

Summary: DBMail is a POP3/IMAP server that enables email to be stored in and retrieved from a database
License: GPL
Group: System/Servers
Url: http://dbmail.org
Packager: Eugene Prokopiev <enp@altlinux.ru>

PreReq: chkconfig
Requires: %name-storage = %version-%release

###########################################
# Relations with other POP3/IMAP server pkgs (like dbmail)

# Provide the abstract service names (which are virtual pkg names),
# specify their origin (our pkg name as the epoch + version-release):
Provides: IMAPD = %name:%version-%release
Provides: POP3D = %name:%version-%release

# End of the statements to describe relations with other POP3/IMAP server pkgs
########################################

%add_findprov_lib_path %_libdir/%name

Source0: %name-%version.tar.gz
Source1: %name-pop3d.init
Source2: %name-imapd.init
Source3: %name-lmtpd.init
Source4: %name-timsieved.init
Source5: %name-clean
Source6: %name.conf

BuildPreReq: glib2-devel >= 2.6 libgmime-devel zlib-devel

%def_with    mysql
%def_with    pgsql
%def_with    sqlite
%def_with    ldap
%def_with    sieve

%{?_with_mysql:BuildPreReq: libMySQL-devel}
%{?_with_pgsql:BuildPreReq: postgresql-devel}
%{?_with_sqlite:BuildPreReq: libsqlite3-devel}
%{?_with_ldap:BuildPreReq: libldap-devel}
%{?_with_sieve:BuildPreReq: libsieve-devel}

%description
DBMail is a POP3/IMAP server that enables email to be stored in and retrieved from a database

%if_with mysql
%package mysql
Summary: MySQL storage driver for DBMail
Group: System/Servers
Requires: %name = %version-%release
Provides: %name-storage = %version-%release
%description mysql
MySQL storage driver for DBMail
%endif

%if_with pgsql
%package pgsql
Summary: PostgreSQL storage driver for DBMail
Group: System/Servers
Requires: %name = %version-%release
Provides: %name-storage = %version-%release
%description pgsql
PostgreSQL storage driver for DBMail
%endif

%if_with sqlite
%package sqlite
Summary: SQLite storage driver for DBMail
Group: System/Servers
Requires: %name = %version-%release
Provides: %name-storage = %version-%release
%description sqlite
SQLite storage driver for DBMail
%endif

%if_with ldap
%package ldap
Summary: LDAP authentication driver for DBMail
Group: System/Servers
Requires: %name = %version-%release
%description ldap
LDAP authentication driver for DBMail
%endif

%if_with sieve
%package sieve
Summary: Sieve filtering engine for DBMail
Group: System/Servers
Requires: %name = %version-%release
Requires: libsieve
%description sieve
Sieve filtering engine for DBMail.
%endif

%package contrib
Summary: Additional tools for DBMail
Group: System/Servers
Requires: %name = %version-%release
%description contrib
Additional tools for DBMail

%prep
%setup

%build

CONFIGURE_WITH=""
%if_with mysql
CONFIGURE_WITH="${CONFIGURE_WITH} --with-mysql"
%endif
%if_with pgsql
CONFIGURE_WITH="${CONFIGURE_WITH} --with-pgsql"
%endif
%if_with sqlite
CONFIGURE_WITH="${CONFIGURE_WITH} --with-sqlite"
%endif
%if_with ldap
CONFIGURE_WITH="${CONFIGURE_WITH} --with-ldap"
%endif
%if_with sieve
CONFIGURE_WITH="${CONFIGURE_WITH} --with-sieve"
%endif
%configure ${CONFIGURE_WITH}
%make_build

%install

# adjust $RPM_BUILD for install
mkdir -p %buildroot/%_sbindir
mkdir -p %buildroot/%_libdir
mkdir -p %buildroot/%_man1dir
mkdir -p %buildroot/%_man8dir
mkdir -p %buildroot/%_sysconfdir
mkdir -p %buildroot/%_sysconfdir/cron.daily
mkdir -p %buildroot/%_initdir
mkdir -p %buildroot/%_docdir/%name-%version
mkdir -p %buildroot/%_datadir/%name-%version/contrib

%makeinstall

# package cron, config and init scripts
install -m 0755 %SOURCE1 %buildroot/%_initdir/%name-pop3d
install -m 0755 %SOURCE2 %buildroot/%_initdir/%name-imapd
install -m 0755 %SOURCE3 %buildroot/%_initdir/%name-lmtpd
install -m 0755 %SOURCE4 %buildroot/%_initdir/%name-timsieved
install -m 0755 %SOURCE5 %buildroot/%_sysconfdir/cron.daily/
install -m 0644 %SOURCE6 %buildroot/%_sysconfdir/%name.conf

# package docs
install -m 0644 AUTHORS %buildroot/%_docdir/%name-%version
install -m 0644 BUGS %buildroot/%_docdir/%name-%version
install -m 0644 COPYING %buildroot/%_docdir/%name-%version
install -m 0644 ChangeLog %buildroot/%_docdir/%name-%version
install -m 0644 INSTALL %buildroot/%_docdir/%name-%version
install -m 0644 README.exim %buildroot/%_docdir/%name-%version
install -m 0644 README.postfix %buildroot/%_docdir/%name-%version
install -m 0644 README.qmail %buildroot/%_docdir/%name-%version
install -m 0644 README.sieve %buildroot/%_docdir/%name-%version
install -m 0644 README.ldap %buildroot/%_docdir/%name-%version
install -m 0644 README.smtp %buildroot/%_docdir/%name-%version
install -m 0644 README.solaris %buildroot/%_docdir/%name-%version
install -m 0644 README.usermap %buildroot/%_docdir/%name-%version
install -m 0644 NEWS %buildroot/%_docdir/%name-%version
install -m 0644 README %buildroot/%_docdir/%name-%version
install -m 0644 THANKS %buildroot/%_docdir/%name-%version
install -m 0644 dbmail.schema %buildroot/%_datadir/%name-%version

cp -r contrib/sql2sql %buildroot/%_datadir/%name-%version/contrib
cp -r contrib/mailbox2dbmail %buildroot/%_datadir/%name-%version/contrib
cp -r sql %buildroot/%_datadir/%name-%version

%post
%post_service %name-pop3d
%post_service %name-imapd
%post_service %name-lmtpd

%preun
%preun_service %name-pop3d
%preun_service %name-imapd
%preun_service %name-lmtpd

%if_with sieve
%post sieve
%post_service %name-timsieved

%preun sieve
%preun_service %name-timsieved
%endif

%files
%_sysconfdir/cron.daily/dbmail-clean
%_initdir/dbmail-imapd
%_initdir/dbmail-pop3d
%_initdir/dbmail-lmtpd
%config(noreplace) %_sysconfdir/%name.conf
%_sbindir/dbmail-imapd
%_sbindir/dbmail-pop3d
%_sbindir/dbmail-lmtpd
%_sbindir/dbmail-export
%_sbindir/dbmail-smtp
%_sbindir/dbmail-users
%_sbindir/dbmail-util
%_man1dir/dbmail.1.gz
%_man1dir/dbmail-smtp.1.gz
%_man5dir/dbmail.conf.5.gz
%_man8dir/dbmail-imapd.8.gz
%_man8dir/dbmail-pop3d.8.gz
%_man8dir/dbmail-lmtpd.8.gz
%_man8dir/dbmail-users.8.gz
%_man8dir/dbmail-util.8.gz
%_man8dir/dbmail-export.8.gz
%_libdir/%name/libdbmail.so*
%_libdir/%name/libauth_sql.so*
%doc %_docdir/%name-%version/*

%if_with mysql
%files mysql
%_libdir/%name/libmysql.so*
%_datadir/%name-%version/sql/mysql/*
%endif

%if_with pgsql
%files pgsql
%_libdir/%name/libpgsql.so*
%_datadir/%name-%version/sql/postgresql/*
%endif

%if_with sqlite
%files sqlite
%_libdir/%name/libsqlite.so*
%_datadir/%name-%version/sql/sqlite/*
%endif

%if_with ldap
%files ldap
%_libdir/%name/libauth_ldap.so*
%_datadir/%name-%version/dbmail.schema
%endif

%if_with sieve
%files sieve
%_libdir/%name/libsort_sieve.so*
%_initdir/dbmail-timsieved
%_sbindir/dbmail-timsieved
%_sbindir/dbmail-sievecmd
%_man8dir/dbmail-sievecmd.8.gz
%_man8dir/dbmail-timsieved.8.gz
%endif

%files contrib
%_datadir/%name-%version/contrib

%changelog
* Mon Apr 09 2007 Eugene Prokopiev <enp@altlinux.ru> 2.2.4.git200704092140-alt1
- move to last commit in 2.2 branch due to resolving bugs:
  * 0000559: DBMail build error with ld -Wl,--as-needed -> exclude alt-specific patch
  * 0000560: Empty makefile after autoreconf -fisv and ./configure --with-sqlite 
    - it's no need to autoreconf now because no patch applied
- move to git.alt

* Sat Mar 31 2007 Eugene Prokopiev <enp@altlinux.ru> 2.2.4-alt1
- move to 2.2.4
- build without sqlite due to bug 0000560: Empty makefile after autoreconf -fisv and ./configure --with-sqlite 

* Fri Mar 30 2007 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.1-alt5.0
- Rebuilt due to libpq.so.4 -> libpq.so.5 soname change.

* Fri Jan 19 2007 Eugene Prokopiev <enp@altlinux.org> 2.2.1-alt5
- fix build error patch for x86_64 (thanks to Damir Shayhutdinov)

* Thu Jan 11 2007 Eugene Prokopiev <enp@altlinux.org> 2.2.1-alt4
- exclude .la files (thanks to Alexey Shentzev)
- include dbmail.schema to dbmail-ldap package (thanks to Alexey Shentzev)

* Mon Dec 25 2006 Eugene Prokopiev <enp@altlinux.org> 2.2.1-alt3
- fix build error on x86_64 (thanks to Damir Shayhutdinov) - but result is unsuccessfull :( 

* Mon Dec 18 2006 Eugene Prokopiev <enp@altlinux.org> 2.2.1-alt2
- --as-needed patch (thanks to Alexey Shentsev)

* Thu Dec 14 2006 Eugene Prokopiev <enp@altlinux.org> 2.2.1-alt1
- move to 2.2.1
- split into packages
- exclude patches

* Mon Jul 10 2006 Eugene Prokopiev <enp@altlinux.org> 2.0.10-alt2
- replace provides hack with %add_findprov_lib_path
- modified libadd patch to support build with MySQL
- default build with MySQL

* Thu Jun 29 2006 Eugene Prokopiev <enp@altlinux.org> 2.0.10-alt1
- build with new version
- now can be compiled on Sisyphus with libadd patch

* Mon Jan 16 2006 Eugene Prokopiev <enp@altlinux.org> 2.0.7-alt5.M24.1
- add dbmail-folders patch written by David A. Niblett <David A. Niblett> (RFC 3598)
- similify Requires and BuilRequires

* Mon Dec 26 2005 Eugene Prokopiev <enp@altlinux.org> 2.0.7-alt4.M24.1
- add pgsql74/pgsql80/pgsql81/mysql40 switcher for building

* Sun Nov 20 2005 Eugene Prokopiev <enp@altlinux.org> 2.0.7-alt3.M24.1
- add cron job for db check and clean

* Wed Sep 21 2005 Eugene Prokopiev <enp@altlinux.org> 2.0.7-alt2.M24.1
- add mailfilter patch

* Sun Sep 10 2005 Eugene Prokopiev <enp@altlinux.org> 2.0.7-alt1.M24.1
- initial package for ALT Linux
